Runs
GET
/organizations/{organizationId}/approvals/{approvalId}/runs
List approval flow runs
Queryparameters
pageToken
string
The cursor that keeps track of the current position in the results.
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
status
string
Filter approval runs by status
Possible values: pending, approved, denied, canceled
Antwoord-payload
results
array of object
Onderliggende attributen tonen
results.id
string
verplicht
results.approvalFlowId
string
verplicht
results.organizationId
string
results.workspaceId
string
results.status
string
verplicht
Possible values: pending, approved, denied, canceled
results.activeStep
number
results.previousObject
object
results.object
object
results.invoker
object
Reference to an entity that invoked the run for this flow.
Onderliggende attributen tonen
results.invoker.type
string
verplicht
Type of entity that invoked the run.
Possible values: user, accesskey, contact
results.invoker.id
string
verplicht
ID of the entity that invoked the run.
results.tags
array of object
verplicht
Onderliggende attributen tonen
results.tags.key
string
verplicht
results.tags.value
string
verplicht
results.results
array of object
verplicht
Onderliggende attributen tonen
results.results.reviewer
object
Reference to an entity that can review the runs for this flow.
Onderliggende attributen tonen
results.results.reviewer.type
string
verplicht
Possible values: user
results.results.reviewer.id
string
verplicht
results.results.userId
string
results.results.result
string
verplicht
Possible values: approved, rejected
results.results.comment
string
results.createdAt
string
verplicht
results.updatedAt
string
verplicht
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Codevoorbeeld
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}/runs' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/approvals/{approvalId}/runs/{approvalRunId}
Get approval flow run
Antwoord-payload
id
string
verplicht
approvalFlowId
string
verplicht
organizationId
string
workspaceId
string
status
string
verplicht
Possible values: pending, approved, denied, canceled
activeStep
number
previousObject
object
object
object
invoker
object
Reference to an entity that invoked the run for this flow.
Onderliggende attributen tonen
invoker.type
string
verplicht
Type of entity that invoked the run.
Possible values: user, accesskey, contact
invoker.id
string
verplicht
ID of the entity that invoked the run.
tags
array of object
verplicht
Onderliggende attributen tonen
tags.key
string
verplicht
tags.value
string
verplicht
results
array of object
verplicht
Onderliggende attributen tonen
results.reviewer
object
Reference to an entity that can review the runs for this flow.
Onderliggende attributen tonen
results.reviewer.type
string
verplicht
Possible values: user
results.reviewer.id
string
verplicht
results.userId
string
results.result
string
verplicht
Possible values: approved, rejected
results.comment
string
createdAt
string
verplicht
updatedAt
string
verplicht
Codevoorbeeld
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}/runs/{approvalRunId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'